/*
 *     ClassPathDialog.java  Jan 15, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.gui;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.io.File;

public class ClassPathDialog extends PropertyDialog {

    public ClassPathDialog(SimpleBrowser browser, String title) {
        super(browser, title, -1);
    }

    public ClassPathDialog(MainFrame frame, FileManager fm, String title) {
        super(frame, fm, title, -1);
    }

    protected boolean checkOption(String name) {
        return true;
    }

    public void show() {
        propertyField.setText(browser.getClassPath());
        super.show();

        browser.setClassPath(propertyField.getText());
    }
}
