/*
 *     WarningDialog.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.gui;
import org.jtool.platform.event.*;
import javax.swing.*;
import java.io.*;

public class WarningDialog extends JDialog implements WarningEventListener {
    private JFrame frame;

    public WarningDialog(JFrame frame) {
        super(frame, "Warning", true);
        this.frame = frame;
    }

    public void printMessage(WarningEvent evt) {
        String mesg = evt.getMessage();

        int sep = mesg.indexOf("\n");
        if (sep != -1) {
            mesg = mesg.substring(0, sep);
        }

        JOptionPane.showMessageDialog(frame, mesg, null, JOptionPane.ERROR_MESSAGE);
    }
}
