/*
 *     ClassXMLText.java  Oct 11, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.j2xml;
import org.jtool.platform.xml.*;
import org.jtool.platform.xml.dom.*;
import org.jtool.platform.xml.wrapper.*;
import org.w3c.dom.*;
import java.util.*; 

public class ClassXMLText extends XMLText {

    private ClassXMLText() {
        super();
    }

    public ClassXMLText(String pathName, String content) {
        super(pathName, content);
        doc = DOMTreeCreator.create(content);
    }

    public String getClassName() {
        Element elem = doc.getDocumentElement();
        return elem.getAttribute(JXConstants.NameAttr);
    }

    public JavaClass getJavaClass() {
        return getJavaClass(getClassName());
    }
}
