/*
 *     CFGMerge.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.graph.*;

public class CFGMerge extends CFGNode {
    private CFGNode branch;

    private CFGMerge() {
    }

    public CFGMerge(CFGNode node) {
        super(mergeSt, null);
        branch = node;
    }

    public void setBranchNode(CFGNode node) {
        branch = node;
    }

    public CFGNode getBranchNode() {
        return branch;
    }

    public void print(StringBuffer buf) {
        print("merge", buf);
    }
}
